## compton-conf 0.1.0%2B20151226

=== CMakeLists.txt ===
project(compton-conf)

cmake_minimum_required(VERSION 2.8.6)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

# Although the names, LXQtTranslateTsa and LXQtTranslateDesktop, they don't
#   bring any dependency on liblxqt.
include(LXQtTranslateTs)
include(LXQtTranslateDesktop)

# Support Qt4
option(USE_QT4 "Build with Qt4." $ENV{USE_QT4})
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)

if(USE_QT4)
  find_package(Qt4 REQUIRED QtCore QtGui QtDbus)
  include(${QT_USE_FILE})
  message(STATUS "Building with Qt${QTVERSION}")
else()
  cmake_minimum_required(VERSION 2.8.11)
  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5DBus REQUIRED)
  find_package(Qt5LinguistTools REQUIRED QUIET)
  message(STATUS "Building with Qt${Qt5Core_VERSION_STRING}")
endif()

# libconfig using pkg-config
find_package(PkgConfig REQUIRED)
pkg_check_modules(LIBCONFIG REQUIRED
  libconfig
)

include(GNUInstallDirs REQUIRED)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_KEYWORDS -fno-exceptions")

if(USE_QT4)
  set(QTX_INCLUDE_DIRS ${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${QT_QTDBUS_DIR})
  set(QTX_LIBRARIES ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDBUS_LIBRARY})
else()
  set(QTX_INCLUDE_DIRS "")
  set(QTX_LIBRARIES Qt5::Widgets Qt5::DBus)
endif()

include_directories(
  ${QTX_INCLUDE_DIRS}
  ${LIBCONFIG_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
)


set(compton-conf_HS
    compton-conf.h
    maindialog.h
)

set(compton-conf_SRCS
  maindialog.cpp
  compton-conf.cpp
)

set(compton-conf_UIS
  maindialog.ui
)

set(compton-conf_DESKTOP_FILES_IN
    compton-conf.desktop.in
)

lxqt_translate_ts(compton-conf_QM_FILES
    USE_QT4 ${USE_QT4}
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
        ${compton-conf_HS}
        ${compton-conf_SRCS}
        ${compton-conf_UIS}
    INSTALL_DIR
        ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations
)

lxqt_translate_desktop(compton-conf_DESKTOP_FILES SOURCES ${compton-conf_DESKTOP_FILES_IN})

if(USE_QT4)
  qt4_wrap_ui(compton-conf_UI_H ${compton-conf_UIS})
else()
  qt5_wrap_ui(compton-conf_UI_H ${compton-conf_UIS})
endif()

add_definitions(
  -DCOMPTON_CONF_DATA_DIR="${CMAKE_INSTALL_FULL_DATADIR}/compton-conf"
)

add_executable(compton-conf
  ${compton-conf_SRCS}
  ${compton-conf_UI_H}
  ${compton-conf_QM_FILES}
  ${compton-conf_QM_LOADER}
  ${compton-conf_DESKTOP_FILES}
)

target_link_libraries(compton-conf
  ${QTX_LIBRARIES}
  ${LIBCONFIG_LIBRARIES}
)

install(TARGETS compton-conf RUNTIME DESTINATION bin)
install(FILES compton.conf.example DESTINATION ${CMAKE_INSTALL_DATADIR}/compton-conf)
install(FILES ${compton-conf_DESKTOP_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/applications/)

# building tarball with CPack -------------------------------------------------
# To create a source distribution, type:
# make package_source
include (InstallRequiredSystemLibraries)
set (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set (CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
set (CPACK_PACKAGE_VENDOR "")
set (CPACK_PACKAGE_VERSION_MAJOR "0")
set (CPACK_PACKAGE_VERSION_MINOR "1")
set (CPACK_PACKAGE_VERSION_PATCH "0")
set (CPACK_GENERATOR TBZ2)
set (CPACK_SOURCE_GENERATOR TBZ2)
set (CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
include (CPack)

## compton-conf 0.1.0+20150626

=== debian/changelog ===
compton-conf (0.1.0+20150626-1) unstable; urgency=medium

  [ Alf Gaida ]
  * initial debian files.
  * Initial release (Closes: #756359)

  [ Wen.Liao ]
  * Remove lintian warning in debian/copyright.

  [ Alf Gaida ]
  * - bump standards to 3.9.6 - Min Qt version 5.3.2 - no source changes -
    drop debug package - lintian-override for missing manpage and invalid
    category added.
  * fixed debian $foo packages renamed source/options added.
  * Some cleanup in debian $foo.
  * some debian $foo improvements.

  [ Andrew Lee (李健秋) ]
  * Corrected GPL2 copyright instead of GPL2+.
  * Added myself as Uploader.
  * Removing whitespaces at EOL and EOF.
  * Merging upstream version 0.1.0+20150626.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 14 Aug 2015 15:03:55 +0800

=== debian/control ===
Source: compton-conf
Section: x11
Priority: optional
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders:
 Alf Gaida <agaida@siduction.org>,
 ChangZhuo Chen (陳昌倬) <czchen@gmail.com>,
 Andrew Lee (李健秋) <ajqlee@debian.org>
Build-Depends:
 cmake (>= 3.0.2),
 debhelper (>= 9),
 libconfig-dev,
 libx11-dev,
 pkg-config,
 qttools5-dev (>= 5.3),
 qttools5-dev-tools (>= 5.3),
Standards-Version: 3.9.6
Homepage: https://github.com/lxde/compton-conf
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/compton-conf.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/compton-conf.git

Package: compton-conf
Architecture: any
Breaks: compton-conf-qt5 (<< 0.2.0)
Replaces: compton-conf-qt5 (<< 0.2.0)
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Compton Configurator for Qt
 Qt configuration tool for X composite manager
 .
 This package contain Compton Configurator.

# ---- to be removed in 2016 ----

Package: compton-conf-qt5
Depends: compton-conf, ${misc:Depends}
Priority: extra
Section: oldlibs
Architecture: all
Description: compton-conf transitional package
 Empty package to facilitate upgrades, can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1


%:
	dh ${@} --buildsystem cmake --parallel


override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/compton-conf

## compton-conf 0.1.0+20150831

=== debian/changelog ===
compton-conf (0.1.0+20150831-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Remove compton-conf-qt5 related Replace, Break. (Closes: #798337)
  * Remove unnecessary dependencies.

  [ Alf Gaida ]
  * run cme fix dpkg-control
  * fixed bug in desktop file upstream, resolve lintian warning
    duplicated-key-in-desktop-entry

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 11 Sep 2015 21:04:13 +0800

## compton-conf 0.1.0+20151226

=== debian/changelog ===
compton-conf (0.1.0+20151226-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.1.0+20151226.  
  * Removed GPL from copyright, compton-conf is LGPL only
  * Cleaned up rules

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 13:23:56 +0100

=== debian/control ===
Source: compton-conf
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 3.0.2),
               libconfig-dev,
               libx11-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/compton-conf.git
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/compton-conf.git
Homepage: https://github.com/lxde/compton-conf

Package: compton-conf
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Compton Configurator for Qt
 Qt configuration tool for X composite manager
 .
 This package contain Compton Configurator.

=== debian/watch ===
version=3
https://github.com/lxde/compton-conf/releases .*/([\d\.]+).tar.gz

## compton-conf 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,8 @@
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
-list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")
-
-# Although the names, LXQtTranslateTsa and LXQtTranslateDesktop, they don't
-#   bring any dependency on liblxqt.
+#Note: no run-time dependency on liblxqt, just a build dependency for lxqt_translate_ts/desktop
+find_package(lxqt REQUIRED)
 include(LXQtTranslateTs)
 include(LXQtTranslateDesktop)
 
@@ -81,6 +79,14 @@
         ${compton-conf_UIS}
     INSTALL_DIR
         ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations
+    PULL_TRANSLATIONS
+        ${PULL_TRANSLATIONS}
+    CLEAN_TRANSLATIONS
+        ${CLEAN_TRANSLATIONS}
+    TRANSLATIONS_REPO
+        ${TRANSLATIONS_REPO}
+    TRANSLATIONS_REFSPEC
+        ${TRANSLATIONS_REFSPEC}
 )
 
 lxqt_translate_desktop(compton-conf_DESKTOP_FILES SOURCES ${compton-conf_DESKTOP_FILES_IN})
@@ -120,7 +126,7 @@
 set (CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
 set (CPACK_PACKAGE_VENDOR "")
 set (CPACK_PACKAGE_VERSION_MAJOR "0")
-set (CPACK_PACKAGE_VERSION_MINOR "1")
+set (CPACK_PACKAGE_VERSION_MINOR "2")
 set (CPACK_PACKAGE_VERSION_PATCH "0")
 set (CPACK_GENERATOR TBZ2)
 set (CPACK_SOURCE_GENERATOR TBZ2)

=== debian/changelog ===
compton-conf (0.2.0-3) unstable; urgency=medium

  * Fixed VCS branches to sid 
  * Added build dependency lxqt-build-tools
  * Removed some build dependencies:
    - cmake
    - libqt5xdg-dev
    - libqt5xdgiconloader-dev
    - pkg-config
    - qttools5-dev
    - qttools5-dev-tools

 -- Alf Gaida <agaida@siduction.org>  Fri, 04 Nov 2016 22:04:50 +0100

compton-conf (0.2.0-2) unstable; urgency=medium

  * Cherry-picking new upstream release 0.2.0.
  * Sync debian/foo from experimental
  * Set compat to 10
  * Minimim version debhelper (>= 10)
  * Removed --parallel from rules, standard compat 10
  * Added some build dependencies:
    - libkf5windowsystem-dev,
    - liblxqt0-dev (>= 0.11.0),
    - libqt5svg5-dev
    - libqt5x11extras5-dev,
    - libqt5xdg-dev (>= 2.0.0),
    - libqt5xdgiconloader-dev (>= 2.0.0),
  * Added Recommends compton-conf-l10n
  * Added translation control to rules
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo

 -- Alf Gaida <agaida@siduction.org>  Mon, 17 Oct 2016 22:37:48 +0200

compton-conf (0.1.0+20151226-3) unstable; urgency=medium

  * Bumped Standards to 3.9.8, no changes needed
  * Fixed VCS fields, use plain /git/, branch added
  * Fixed copyrights Format field, use https
  * Exported LC_ALL=C.UTF-8, make builds reproducible

 -- Alf Gaida <agaida@siduction.org>  Tue, 19 Jul 2016 00:20:00 +0200

compton-conf (0.1.0+20151226-2) unstable; urgency=medium

  * Bump Standards to 3.9.7
  * Add hardening=+all
  * Secure VCS-fields
  * Fix year in copyright
  * Fix new grep behaviour, thanks to Eduard Sanou for the bug and
    the patch, but i already fixed this upstream (Closes: #815901)

 -- Alf Gaida <agaida@siduction.org>  Fri, 26 Feb 2016 01:49:45 +0100

=== debian/control ===
Source: compton-conf
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               libconfig-dev,
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.11.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.2.0)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/compton-conf.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/compton-conf.git -b debian/sid
Homepage: https://github.com/lxde/compton-conf

Package: compton-conf
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: compton-conf-l10n
Description: Compton Configurator for Qt
 Qt configuration tool for X composite manager
 .
 This package contain Compton Configurator.

## compton-conf 0.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 project(compton-conf)
 
-cmake_minimum_required(VERSION 2.8.6)
+cmake_minimum_required(VERSION 2.8.12)
+set(LXQTBT_MINIMUM_VERSION "0.1.0")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
-#Note: no run-time dependency on liblxqt, just a build dependency for lxqt_translate_ts/desktop
-find_package(lxqt REQUIRED)
+find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 include(LXQtTranslateTs)
 include(LXQtTranslateDesktop)
 
@@ -117,18 +117,3 @@
 install(TARGETS compton-conf RUNTIME DESTINATION bin)
 install(FILES compton.conf.example DESTINATION ${CMAKE_INSTALL_DATADIR}/compton-conf)
 install(FILES ${compton-conf_DESKTOP_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/applications/)
-
-# building tarball with CPack -------------------------------------------------
-# To create a source distribution, type:
-# make package_source
-include (InstallRequiredSystemLibraries)
-set (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
-set (CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
-set (CPACK_PACKAGE_VENDOR "")
-set (CPACK_PACKAGE_VERSION_MAJOR "0")
-set (CPACK_PACKAGE_VERSION_MINOR "2")
-set (CPACK_PACKAGE_VERSION_PATCH "0")
-set (CPACK_GENERATOR TBZ2)
-set (CPACK_SOURCE_GENERATOR TBZ2)
-set (CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
-include (CPack)

=== debian/changelog ===
compton-conf (0.2.1-2) unstable; urgency=medium

  * Changed Priority to extra - compton is extra

 -- Alf Gaida <agaida@siduction.org>  Mon, 09 Jan 2017 20:44:56 +0100

compton-conf (0.2.1-1) unstable; urgency=medium

  * Cherry-picking new upstream-release 0.2.1.
  * Removed build deprndency liblxqt0-dev
  * Bumped build-dependency lxqt-build-tools (>= 0.3.0)
  * Added dependency compton

 -- Alf Gaida <agaida@siduction.org>  Sun, 11 Dec 2016 19:29:46 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
-Priority: optional
+Priority: extra
 Build-Depends: debhelper (>= 10),
                libconfig-dev,
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.11.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
-               lxqt-build-tools (>= 0.2.0)
+               lxqt-build-tools (>= 0.3.0),
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/compton-conf.git/?h=debian/sid
 Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/compton-conf.git -b debian/sid
@@ -21,7 +20,8 @@
 Package: compton-conf
 Architecture: any
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         compton
 Recommends: compton-conf-l10n
 Description: Compton Configurator for Qt
  Qt configuration tool for X composite manager

## compton-conf 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,24 @@
 project(compton-conf)
 
 cmake_minimum_required(VERSION 2.8.12)
-set(LXQTBT_MINIMUM_VERSION "0.1.0")
+set(LXQTBT_MINIMUM_VERSION "0.4.0")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+
+if(NOT CMAKE_BUILD_TYPE)
+    set(CMAKE_BUILD_TYPE Release)
+endif()
+
+set(COMPTONCONF_MAJOR_VERSION 0)
+set(COMPTONCONF_MINOR_VERSION 3)
+set(COMPTONCONF_PATCH_VERSION 0)
+set(COMPTONCONF_VERSION ${COMPTONCONF_MAJOR_VERSION}.${COMPTONCONF_MINOR_VERSION}.${COMPTONCONF_PATCH_VERSION})
+add_definitions("-DCOMPTONCONF_VERSION=\"${COMPTONCONF_VERSION}\"")
+
+
+include(LXQtConfigVars)
 include(LXQtTranslateTs)
 include(LXQtTranslateDesktop)
 
@@ -117,3 +130,7 @@
 install(TARGETS compton-conf RUNTIME DESTINATION bin)
 install(FILES compton.conf.example DESTINATION ${CMAKE_INSTALL_DATADIR}/compton-conf)
 install(FILES ${compton-conf_DESKTOP_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/applications/)
+
+# merged from lxqt-common
+add_subdirectory(autostart)
+

=== debian/changelog ===
compton-conf (0.3.0-5) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed debian/gbp.conf - we use git stuff
  * Fixed trailing whitespaces in changelog
  * fixed lintian whining about binary-control-field-duplicates-source

 -- Alf Gaida <agaida@siduction.org>  Wed, 13 Dec 2017 19:21:02 +0100

compton-conf (0.3.0-4) unstable; urgency=medium

  * Removed branch from VCS-Fields, makes no sense at all
  * Fixed typo in changelog

 -- Alf Gaida <agaida@siduction.org>  Wed, 06 Dec 2017 19:33:37 +0100

compton-conf (0.3.0-3) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 18:16:21 +0100

compton-conf (0.3.0-2) experimental; urgency=medium

  * Bumped standards to 4.1.1 - no changes needed
  * Changed priority to optional

 -- Alf Gaida <agaida@siduction.org>  Fri, 20 Oct 2017 17:02:07 +0200

compton-conf (0.3.0-1) experimental; urgency=medium

  * Cherry-picked upstream release 0.3.0
  * Switched to experimental
  * Bumped build-dependency lxqt-build-tools (>= 0.4.0)
  * Bumped Standards to 4.1.0, no changes needed
  * Bumped years in copyright
  * Added Breaks/Replaces for lxqt-common

 -- Alf Gaida <agaida@siduction.org>  Sun, 24 Sep 2017 02:06:51 +0200

=== debian/control ===
Source: compton-conf
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               libconfig-dev,
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.4.0)
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/compton-conf.git
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/compton-conf.git
Homepage: https://github.com/lxde/compton-conf

Package: compton-conf
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         compton
Recommends: compton-conf-l10n
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: Compton Configurator for Qt
 Qt configuration tool for X composite manager
 .
 This package contain Compton Configurator.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxde/compton-conf/releases .*/compton-conf-([\d\.]+).tar.xz

## compton-conf 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(compton-conf)
 
-cmake_minimum_required(VERSION 2.8.12)
-set(LXQTBT_MINIMUM_VERSION "0.4.0")
+cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
+set(LXQTBT_MINIMUM_VERSION "0.5.0")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
@@ -12,12 +12,16 @@
 endif()
 
 set(COMPTONCONF_MAJOR_VERSION 0)
-set(COMPTONCONF_MINOR_VERSION 3)
+set(COMPTONCONF_MINOR_VERSION 4)
 set(COMPTONCONF_PATCH_VERSION 0)
 set(COMPTONCONF_VERSION ${COMPTONCONF_MAJOR_VERSION}.${COMPTONCONF_MINOR_VERSION}.${COMPTONCONF_PATCH_VERSION})
-add_definitions("-DCOMPTONCONF_VERSION=\"${COMPTONCONF_VERSION}\"")
+add_definitions(
+    "-DCOMPTONCONF_VERSION=\"${COMPTONCONF_VERSION}\""
+    "-DQT_NO_FOREACH"
+)
 
 
+include(LXQtPreventInSourceBuilds)
 include(LXQtConfigVars)
 include(LXQtTranslateTs)
 include(LXQtTranslateDesktop)
@@ -29,11 +33,14 @@
 set(CMAKE_AUTOMOC ON)
 
 if(USE_QT4)
+  set(USE_QT5 FALSE)
   find_package(Qt4 REQUIRED QtCore QtGui QtDbus)
   include(${QT_USE_FILE})
+  add_definitions(-DUSE_QT4)
   message(STATUS "Building with Qt${QTVERSION}")
 else()
-  cmake_minimum_required(VERSION 2.8.11)
+  set(USE_QT5 TRUE)
+  cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
   find_package(Qt5Widgets REQUIRED)
   find_package(Qt5DBus REQUIRED)
   find_package(Qt5LinguistTools REQUIRED QUIET)
@@ -47,8 +54,9 @@
 )
 
 include(GNUInstallDirs REQUIRED)
+include(LXQtCompilerSettings NO_POLICY_SCOPE) # must be after cmake_minimum_required()
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_KEYWORDS -fno-exceptions")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_KEYWORDS")
 
 if(USE_QT4)
   set(QTX_INCLUDE_DIRS ${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${QT_QTDBUS_DIR})
@@ -84,7 +92,7 @@
 )
 
 lxqt_translate_ts(compton-conf_QM_FILES
-    USE_QT4 ${USE_QT4}
+    USE_QT5 ${USE_QT5}
     UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
     SOURCES
         ${compton-conf_HS}
@@ -110,6 +118,8 @@
   qt5_wrap_ui(compton-conf_UI_H ${compton-conf_UIS})
 endif()
 
+set_property(SOURCE ${compton-conf_UI_H} PROPERTY SKIP_AUTOMOC ON)
+
 add_definitions(
   -DCOMPTON_CONF_DATA_DIR="${CMAKE_INSTALL_FULL_DATADIR}/compton-conf"
 )

=== debian/changelog ===
compton-conf (0.4.0-1) unstable; urgency=medium

  * Cherry-picked upstream release 0.4.0
  * Bump lxqt-build-tools to >= 0.5.0~
  * Fixed watch file lxde -> lxqt

 -- Alf Gaida <agaida@siduction.org>  Wed, 23 May 2018 18:53:53 +0200

compton-conf (0.3.0-6) unstable; urgency=medium

  * Changed VCS fields for salsa
  * Bumped Standards to 4.1.4, no changes needed
  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Fixed homepage and copyright years

 -- Alf Gaida <agaida@siduction.org>  Wed, 25 Apr 2018 01:43:49 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                libconfig-dev,
                libkf5windowsystem-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
-               lxqt-build-tools (>= 0.4.0)
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/compton-conf.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/compton-conf.git
-Homepage: https://github.com/lxde/compton-conf
+               lxqt-build-tools (>= 0.5.0~)
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/lxqt-team/compton-conf
+Vcs-Git: https://salsa.debian.org/lxqt-team/compton-conf.git
+Homepage: https://github.com/lxqt/compton-conf
 
 Package: compton-conf
 Architecture: any

## compton-conf 0.14.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(compton-conf)

set(LXQTBT_MINIMUM_VERSION "0.6.0")
set(QT_MINIMUM_VERSION "5.7.1")

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

set(COMPTONCONF_MAJOR_VERSION 0)
set(COMPTONCONF_MINOR_VERSION 14)
set(COMPTONCONF_PATCH_VERSION 0)
set(COMPTONCONF_VERSION ${COMPTONCONF_MAJOR_VERSION}.${COMPTONCONF_MINOR_VERSION}.${COMPTONCONF_PATCH_VERSION})
add_definitions(
    "-DCOMPTONCONF_VERSION=\"${COMPTONCONF_VERSION}\""
)

include(LXQtPreventInSourceBuilds)
include(LXQtConfigVars)
include(LXQtTranslateTs)
include(LXQtTranslateDesktop)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)

find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
message(STATUS "Building with Qt${Qt5Core_VERSION_STRING}")

# libconfig using pkg-config
find_package(PkgConfig REQUIRED)
pkg_check_modules(LIBCONFIG REQUIRED
  libconfig
)

include(GNUInstallDirs REQUIRED)
include(LXQtCompilerSettings NO_POLICY_SCOPE) # must be after cmake_minimum_required()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_KEYWORDS")

set(QTX_INCLUDE_DIRS "")
set(QTX_LIBRARIES Qt5::Widgets Qt5::DBus)

include_directories(
  ${QTX_INCLUDE_DIRS}
  ${LIBCONFIG_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
)

set(compton-conf_HS
    compton-conf.h
    maindialog.h
)

set(compton-conf_SRCS
  maindialog.cpp
  compton-conf.cpp
)

set(compton-conf_UIS
  maindialog.ui
)

set(compton-conf_DESKTOP_FILES_IN
    compton-conf.desktop.in
)

lxqt_translate_ts(compton-conf_QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${compton-conf_HS}
        ${compton-conf_SRCS}
        ${compton-conf_UIS}
    INSTALL_DIR
        ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations
)

lxqt_translate_desktop(compton-conf_DESKTOP_FILES SOURCES ${compton-conf_DESKTOP_FILES_IN})

qt5_wrap_ui(compton-conf_UI_H ${compton-conf_UIS})

set_property(SOURCE ${compton-conf_UI_H} PROPERTY SKIP_AUTOMOC ON)

add_definitions(
  -DCOMPTON_CONF_DATA_DIR="${CMAKE_INSTALL_FULL_DATADIR}/compton-conf"
)

add_executable(compton-conf
  ${compton-conf_SRCS}
  ${compton-conf_UI_H}
  ${compton-conf_QM_FILES}
  ${compton-conf_QM_LOADER}
  ${compton-conf_DESKTOP_FILES}
)

target_link_libraries(compton-conf
  ${QTX_LIBRARIES}
  ${LIBCONFIG_LDFLAGS}
)

install(TARGETS compton-conf RUNTIME DESTINATION bin)
install(FILES compton.conf.example DESTINATION ${CMAKE_INSTALL_DATADIR}/compton-conf)
install(FILES ${compton-conf_DESKTOP_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/applications/)

# merged from lxqt-common
add_subdirectory(autostart)

=== debian/changelog ===
compton-conf (0.14.0-0ubuntu2) disco; urgency=medium

  * Add Breaks/Replaces on compton-conf-l10n.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 10:11:48 -0600

compton-conf (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
  * Lubuntify the package.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.
  * Wraaaaaaaaaaaaap.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 25 Jan 2019 22:52:08 -0600

=== debian/control ===
Source: compton-conf
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 12),
               libconfig-dev,
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.6.0)
Standards-Version: 4.3.0
Vcs-Browser: https://phab.lubuntu.me/source/compton-conf/
Vcs-Git: https://phab.lubuntu.me/source/compton-conf.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/compton-conf
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/compton-conf.git
Homepage: https://github.com/lxqt/compton-conf

Package: compton-conf
Architecture: any
Depends: compton, ${misc:Depends}, ${shlibs:Depends}
Recommends: compton-conf-l10n
Breaks: lxqt-common (<< 0.12.0), compton-conf-l10n (<< 0.14.0)
Replaces: lxqt-common (<< 0.12.0), compton-conf-l10n (<< 0.14.0)
Description: Compton Configurator for Qt
 Qt configuration tool for X composite manager
 .
 This package contain Compton Configurator.

## compton-conf 0.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 set(COMPTONCONF_MAJOR_VERSION 0)
 set(COMPTONCONF_MINOR_VERSION 14)
-set(COMPTONCONF_PATCH_VERSION 0)
+set(COMPTONCONF_PATCH_VERSION 1)
 set(COMPTONCONF_VERSION ${COMPTONCONF_MAJOR_VERSION}.${COMPTONCONF_MINOR_VERSION}.${COMPTONCONF_PATCH_VERSION})
 add_definitions(
     "-DCOMPTONCONF_VERSION=\"${COMPTONCONF_VERSION}\""

=== translations/CMakeLists.txt ===
project(compton-conf)

build_component("." "${CMAKE_INSTALL_FULL_DATADIR}/compton-conf/translations")

=== debian/changelog ===
compton-conf (0.14.1-1) unstable; urgency=medium

  * Cherry-picked upstream release 0.14.1.

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Feb 2019 00:17:09 +0100

compton-conf (0.14.0-1) unstable; urgency=medium

  * Cherry-picked upstream release 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version lxqt-build-tools (>= 0.6.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 14:29:38 +0100

=== debian/control ===
Source: compton-conf
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libconfig-dev,
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.6.0~)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/compton-conf
Vcs-Git: https://salsa.debian.org/lxqt-team/compton-conf.git
Homepage: https://github.com/lxqt/compton-conf

Package: compton-conf
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         compton
Recommends: compton-conf-l10n
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: Compton Configurator for Qt
 Qt configuration tool for X composite manager
 .
 This package contain Compton Configurator.

Package: compton-conf-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: compton-conf (<< 0.2.0)
Replaces: compton-conf (<< 0.2.0)
Description: Language package for compton-conf
 This package contains the l10n files needed by the compton-conf.

## compton-conf 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,16 +6,16 @@
 # versions.
 project(compton-conf)
 
-set(LXQTBT_MINIMUM_VERSION "0.6.0")
-set(QT_MINIMUM_VERSION "5.7.1")
+set(LXQTBT_MINIMUM_VERSION "0.7.0")
+set(QT_MINIMUM_VERSION "5.10.0")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 
 set(COMPTONCONF_MAJOR_VERSION 0)
-set(COMPTONCONF_MINOR_VERSION 14)
-set(COMPTONCONF_PATCH_VERSION 1)
+set(COMPTONCONF_MINOR_VERSION 15)
+set(COMPTONCONF_PATCH_VERSION 0)
 set(COMPTONCONF_VERSION ${COMPTONCONF_MAJOR_VERSION}.${COMPTONCONF_MINOR_VERSION}.${COMPTONCONF_PATCH_VERSION})
 add_definitions(
     "-DCOMPTONCONF_VERSION=\"${COMPTONCONF_VERSION}\""

=== debian/changelog ===
compton-conf (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Bump LXQt build depends.
  * Run wrap-and-sort.
  * Update upstream's signing key.
  * Update copyright.
  * debhelper -> debhelper-compat.
  * Bump Standards-version to 4.5.0, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 03 Jun 2020 23:10:01 -0500

compton-conf (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 12:35:55 -0600

compton-conf (0.14.0-0ubuntu3) disco; urgency=medium

  * Don't recommend compton-conf-l10n.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 27 Jan 2019 21:04:19 -0600

=== debian/control ===
Source: compton-conf
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libconfig-dev,
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.7.0)
Standards-Version: 4.5.0
Vcs-Browser: https://phab.lubuntu.me/source/compton-conf/
Vcs-Git: https://phab.lubuntu.me/source/compton-conf.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/compton-conf
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/compton-conf.git
Homepage: https://github.com/lxqt/compton-conf

Package: compton-conf
Architecture: any
Depends: compton, ${misc:Depends}, ${shlibs:Depends}
Breaks: compton-conf-l10n (<< 0.14.0), lxqt-common (<< 0.12.0)
Replaces: compton-conf-l10n (<< 0.14.0), lxqt-common (<< 0.12.0)
Description: Compton Configurator for Qt
 Qt configuration tool for X composite manager
 .
 This package contain Compton Configurator.

## compton-conf 0.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,15 +6,15 @@
 # versions.
 project(compton-conf)
 
-set(LXQTBT_MINIMUM_VERSION "0.7.0")
-set(QT_MINIMUM_VERSION "5.10.0")
+set(LXQTBT_MINIMUM_VERSION "0.8.0")
+set(QT_MINIMUM_VERSION "5.12.0")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 
 set(COMPTONCONF_MAJOR_VERSION 0)
-set(COMPTONCONF_MINOR_VERSION 15)
+set(COMPTONCONF_MINOR_VERSION 16)
 set(COMPTONCONF_PATCH_VERSION 0)
 set(COMPTONCONF_VERSION ${COMPTONCONF_MAJOR_VERSION}.${COMPTONCONF_MINOR_VERSION}.${COMPTONCONF_PATCH_VERSION})
 add_definitions(

=== autostart/CMakeLists.txt ===
file(GLOB DESKTOP_FILES_IN *.desktop.in)

# Translations **********************************
lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
        ${DESKTOP_FILES_IN}
)
add_custom_target(autostart_desktop_files ALL DEPENDS ${DESKTOP_FILES})
#************************************************

install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${LXQT_ETC_XDG_DIR}/autostart"
    COMPONENT Runtime
)

=== debian/changelog ===
compton-conf (0.16.0-4) unstable; urgency=medium

  [ Macy Lin ]
  * debian/control: build-deps on qttools5-dev. (Closes: #1078275)

  [ Andrew Lee (李健秋) ]
  * debian/salsa-ci.yml: add file.
  * Clean up of group membership after 2nd calls.
  * debian/copyright: update.
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 07 Sep 2024 10:32:03 +0200

compton-conf (0.16.0-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2.
  * Bump compat to 13.
  * Set Rules-Requires-Root to no.
  * Change team email to <team+lxqt@tracker.debian.org>.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 15 Jun 2023 01:56:50 +0800

compton-conf (0.16.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + compton-conf-l10n: Drop versioned constraint on compton-conf in Replaces.
    + compton-conf-l10n: Drop versioned constraint on compton-conf in Breaks.

  [ Andrew Lee (李健秋) ]
  * debian/watch: fix uscan error.
  * debian/rules: Remove unnecessary -Wl,--as-needed.
  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.
  * debian/upstream/metadata: drop useless Repository-Browser line.
  * debian/lintian-overrides: fix overrides for no-manual-page.
  * debian/lintian-overrides: fix overrides for desktop-entry-invalid-category.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 04 Nov 2022 13:25:24 +0800

compton-conf (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

  [ Andrew Lee (李健秋) ]
  * New upstream release. (Closes: #978202)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 07 Jan 2021 19:48:45 +0800

=== debian/control ===
Source: compton-conf
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libconfig-dev,
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.8.0~),
               qttools5-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/compton-conf
Vcs-Git: https://salsa.debian.org/lxqt-team/compton-conf.git
Homepage: https://github.com/lxqt/compton-conf
Rules-Requires-Root: no

Package: compton-conf
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         compton
Recommends: compton-conf-l10n
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: Compton Configurator for Qt
 Qt configuration tool for X composite manager
 .
 This package contain Compton Configurator.

Package: compton-conf-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Description: Language package for compton-conf
 This package contains the l10n files needed by the compton-conf.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/compton-conf-$1\.tar\.gz/,pgpsigurlmangle=s/$/.asc/ \
  https://github.com/lxqt/compton-conf/tags .*/v?(\d\S*)\.tar\.gz
